BareMetal API, REST: Image.GetImage
Returns the specific Image resource.
To get the list of resources, make a ListImages request.
https://google.aip.dev/130 --)
HTTP request
GET https://baremetal.api.cloud.yandex.net/baremetal/v2/folders/{folderId}/images/{imageId}
Path parameters
|
Field |
Description |
|
folderId |
string Required field. ID of the parent folder. To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request. |
|
imageId |
string Required field. ID of the Image resource to return. The maximum string length in characters is 20. |
Response
HTTP Code: 200 - OK
{
"imageId": "string",
"folderId": "string",
"name": "string",
"family": "string",
"state": "string",
"publishTime": "string",
"cloudId": "string"
}
An Image resource.
|
Field |
Description |
|
imageId |
string ID of the image. |
|
folderId |
string ID of the folder that the image belongs to. |
|
name |
string Name of the image |
|
family |
string Family of the image |
|
state |
enum (Status) State of the image.
|
|
publishTime |
string (date-time) Timestamp when the image was published. String in RFC3339 To work with values in this field, use the APIs described in the |
|
cloudId |
string ID of the cloud that the image belongs to. |